Bug 243492 - Error opening supplicant global control interface
Error opening supplicant global control interface
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 22:01 EDT by Greg Monahan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.6.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 09:34:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Monahan 2007-06-08 22:01:05 EDT
Description of problem:

Upgrade from Build 3200 to 3208, wireless now displays available networks via
nm-applet 0.6.5 but does not bind to selected network

Version-Release number of selected component (if applicable):

wpa_supplicant.i386                      1:0.5.7-3.fc7
yum says that 1:0.5.7-3.fc8 is available but won't upgrade

How reproducible:

Use nm-applet to view ntworks, tail /var/log/messages to see supplicant fail

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Snippet from log:

Jun  8 09:40:58 monahan-fedora NetworkManager: <info>  Activation (eth0) Stage 1
of 5 (Device Prepare) complete. 
Jun  8 09:40:58 monahan-fedora NetworkManager: <info>  Activation (eth0) Stage 2
of 5 (Device Configure) starting... 
Jun  8 09:40:58 monahan-fedora NetworkManager: <info>  Activation
(eth0/wireless): access point 'monahan' is encrypted, and a key exists.  No new
key needed. 
Jun  8 09:41:00 monahan-fedora NetworkManager: <info>  Error opening supplicant
global control interface. 
Jun  8 09:41:00 monahan-fedora NetworkManager: <WARN>  real_act_stage2_config():
Activation (eth0/wireless): couldn't connect to the supplicant. 

Expected results:


Additional info:
Comment 1 Dan Williams 2007-06-09 09:34:10 EDT
You'll need to update to the latest NM as well; 0.6.5-3 or later.  It's in the
mirrors now.

Comment 2 Greg Monahan 2007-06-09 10:19:11 EDT
Did and upgraded to build 3213. There was a FAIL for wpa_supplicant on reboot,
but it is running and wireless is 100%.

Many thanks

Note You need to log in before you can comment on or make changes to this bug.